import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { AmosFetch } from 'UTILS/processor';
import OltSerUrl from 'CONSTS/urlConsts';
import TableContainer from './../common/TableContainer';

/**
 * 公共设备
 */
class PublicDevice extends Component {
  constructor(props) {
    super(props);
    this.state = {

    };
  }

  componentDidMount() {

  }

  render() {
    return (
      <div className='tabs-inside'>
        <TableContainer isDel={false} {...this.props} />
      </div>
    );
  }
}

PublicDevice.propTypes = {
  criterias: PropTypes.array,
  visibility: PropTypes.string,
  communityOptions: PropTypes.array,
  optionsToValue: PropTypes.array,
  dataList: PropTypes.object
};

export default PublicDevice;
